<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
<html xmlns="https://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>SOLEIL/GRADES: Fluorescence/Diffraction Service</title>
    <style>

      
      input[type=submit] {
        background-color: #4CAF50;
        color: white;
        padding: 12px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
      }

    </style>
  </head>
  <body>
    <h1 align="center"><i>Space-group automatic determination from a
        diffractogram<br>
      </i></h1>
    <br>
    <p></p>
    <p>This service will estimate the space-group from a powder
      diffractogram.</p>
    <!-- ----------------------------------------------------------------------- -->
    <hr>
    <form action="/cgi-bin/cnn_xrd.pl" id="upload"
      method="post" enctype="multipart/form-data" name="upload">
      <table width="100%">
        <!-- the metadata ---------------------------------------------------------- -->
        <tbody>
          <tr>
            <td><b>Incident X-ray Energy [keV] for <i>I(2theta)</i>:</b></td>
            <td> <input id="energy" name="energy" value="16.99"
                step="0.01" size="40" type="number"> </td>
          </tr>
          <!-- the input file(s) ----------------------------------------------------- -->
          <tr>
            <td><b>Diffractogram * [<i>I(q)</i> or <i>I(2theta)</i>]:</b></td>
            <td><input name="dataset" id="dataset" title="CIF format.
                Drag-n-drop a file" accept=".cif,.CIF"
                style="color:blue; font-size: 24px;" type="file"></td>
          </tr>
        </tbody>
      </table>
      <p align="center"><input name="Submit" value="Compute !"
          title="Please be patient during computation..." type="submit"></p>
    </form>
    <hr>
    <p><b>WARNING</b>: This service is only meant to provide a quick
      estimate of the space-group. <a
href="https://gitlab.com/soleil-data-treatment/soleil-software-projects/XRD_MARS">Project
        code at Gitlab</a>. <br>
    </p>
    <small>GRADES (c) 2023- <a href="http://www.synchrotron-soleil.fr"
        target="_top">
        Synchrotron SOLEIL - <img alt="SOLEIL" title="SOLEIL"
          src="https://www.synchrotron-soleil.fr/sites/default/files/logo_0.png"
          align="right" height="48" border="0"></a>
    </small>
  </body>
</html>
